dpdk (25.11-2) unstable; urgency=medium

  * librte-net-zxdh26/librte-common-zsda26: also install on loong64
  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Thu, 11 Dec 2025 12:10:52 +0000

dpdk (25.11-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * New upstream release candidate 25.11
    For a full list of changes in 25.11 see
    https://doc.dpdk.org/guides/rel_notes/release_25_11.html
    - d/watch: move to 25.11 LTS
    - d/control: Bump lib package names to 25.11 ABI (=26)
    - d/*.symbols: rename and update to match the ABI change to 26
    - drop d/p/doc-install-guides-and-api-docs-to-different-directory.patch
      [upstream now]
    - d/control: add new PMDs
      - librte-common-zsda26
      - librte-net-hinic3-26
      - librte-net-nbl26
      - librte-net-rnp26
      - librte-net-xsc26
    - d/control: add profiling lib librte-pmu
    - d/control: fix descriptions to not use numbered lib names
    - d/control: add new dma drivers
      - librte-dma-hisi-acc26
      - librte-dma-hisi-pciep26
   - d/*.symbols: update due to new major version
   - d/control, d/*.symbols: drop no more available libraries
     - librte-dma-hisilicon
     - librte-net-igc
     - librte-common-idpf (net-idpf stays)
     - librte-common-iavf26 (net-iavf stays)
   - d/*.symbols: add symbols for new libs
   - d/control: add arch to new libs building on ppc64el
   - d/librte-net-idpf26.symbols: mark avx related symbols as amd64 only
   - d/control: add arch to new libs building on riscv64

  [ Luca Boccassi ]
  * Drop fix-test-failure-on-ppc64.patch, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Dec 2025 10:15:45 +0000

dpdk (24.11.3-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/control: librte-net-ntnic25 is x86_64 only
  * d/control: librte-net-zxdh25 is x86_64 and arm64 only
  * d/p/disable_arm64_autopkgtest_fails.patch: disable tests that are
    flaky in debci (Closes: #1114911)

 -- Luca Boccassi <bluca@debian.org>  Wed, 24 Sep 2025 10:26:56 +0100

dpdk (24.11.3-1) unstable; urgency=medium

  * New upstream release 24.11.3. For a full list of changes in 24.11.3 see:
    https://doc.dpdk.org/guides/rel_notes/release_24_11.html

 -- Luca Boccassi <bluca@debian.org>  Tue, 19 Aug 2025 23:31:35 +0100

dpdk (24.11.2-2) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.7.2, no changes
  * dpdk-doc: drop HTML documents
  * dpdk-doc: ship only public APIs manpages

 -- Luca Boccassi <bluca@debian.org>  Mon, 28 Apr 2025 14:09:40 +0100

dpdk (24.11.2-1) unstable; urgency=medium

  * Backport patch to add install_tag to meson for doc
  * Backport patch to fix installation directory of docs
  * dpdk-doc: use meson install --tags to streamline installation
  * d/rules: use execute_before/after
  * d/rules: drop dh_missing override
  * d/rules: use dh-sequence-python3 instead of --with python3
  * dpdk-doc: delete unreproducible javascript file
  * dpdk-doc: drop python3:Recommends
  * Drop build-dependencies for docs that are no longer needed
  * New upstream release 24.11.2. For a full list of changes in 24.11.2 see:
    https://doc.dpdk.org/guides/rel_notes/release_24_11.html

 -- Luca Boccassi <bluca@debian.org>  Wed, 23 Apr 2025 12:29:39 +0100

dpdk (24.11.1-1) unstable; urgency=high

  * New upstream release 24.11.1. For a full list of changes in 24.11.1 see:
    https://doc.dpdk.org/guides/rel_notes/release_24_11.html
    Fixes rx checksum calculation in virtio driver (CVE-2024-11614)

 -- Luca Boccassi <bluca@debian.org>  Tue, 17 Dec 2024 14:59:34 +0000

dpdk (24.11-2) unstable; urgency=medium

  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Mon, 16 Dec 2024 11:10:47 +0000

dpdk (24.11-1) experimental; urgency=medium

  * New upstream release 24.11. For a full list of changes in 24.11 see:
    https://doc.dpdk.org/guides/rel_notes/release_24_11.html

 -- Luca Boccassi <bluca@debian.org>  Sun, 01 Dec 2024 12:45:26 +0000

dpdk (24.11~rc4-1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/24.11_rc4'
  * dpdk-doc: remove unreproducible generated files

 -- Luca Boccassi <bluca@debian.org>  Wed, 27 Nov 2024 10:27:28 +0000

dpdk (24.11~rc3-1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/24.11_rc3'
  * Add new PMDs added in v24.11~rc3

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 Nov 2024 23:24:00 +0000

dpdk (24.11~rc2-2) experimental; urgency=medium

  * Build new librte-power-* PMDs on all architectures

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Nov 2024 23:46:01 +0000

dpdk (24.11~rc2-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * New upstream release candidate 24.11-rc1
    For a full list of changes in 24.11 see
    https://doc.dpdk.org/guides/rel_notes/release_24_11.html
    - Drop d/p/disable-parallel-sphinx.patch (upstream since v24.07-rc1)
    - Drop d/p/Fix-ppc64-test-via-iova-setting.patch (upstream since v24.07-rc1)
    - d/*.symbols: rename and update to match the ABI change to 25
    - d/control: Bump lib package names to 24.11 ABI
    - d/copyright: update for updsteam and debian/* changes
    - d/watch: move to 24.11 LTS
    - d/control, d/dpdk{-dev}.install: add new and move existing telemetry
      files to dpdk
    - d/control: add new libraries librte-net-ntnic25, librte-dma-odm25,
      librte-crypto-ionic25, librte-compress-nitrox25, librte-common-nitrox25,
      librte-common-ionic25, librte-bus-uacce25. librte-argparse25
    - d/control: drop breaks to libdpdk0 (no more needed)
    - d/*.symbols: adapt to match changes to exported symbols
    - d/*.symbols: symbols files for new libs
    - d/p/*.patch: change Forwarded: no to not-needed
    - d/README.source: maintainer hint to compare binary pkg content
    - d/control: librte-net-mana25 also builds on amd64 now

  [ Luca Boccassi ]
  * gbp.conf: switch upstream branch and tag
  * Update upstream source from tag 'upstream/24.11_rc2'
  * Add packages for new PMDs added in 24.11~rc2
  * Update symbols for 24.11~rc2
  * Add dependency on armv8crc-support on arm64 packages
  * Drop dependency on sse4.2-support from libdpdk-dev

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Nov 2024 14:21:02 +0000

dpdk (23.11.2-3) unstable; urgency=medium

  * Disable flaky test on riscv64

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Nov 2024 14:28:21 +0000

dpdk (23.11.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Sun, 20 Oct 2024 13:38:06 +0100

dpdk (23.11.2-1+exp4) experimental; urgency=medium

  * autopkgtest: fix meson setup in test-fastsuite

 -- Luca Boccassi <bluca@debian.org>  Sat, 19 Oct 2024 12:43:21 +0100

dpdk (23.11.2-1+exp3) experimental; urgency=medium

  * Fix patch disabling tests on ppc64el

 -- Luca Boccassi <bluca@debian.org>  Thu, 17 Oct 2024 17:29:58 +0100

dpdk (23.11.2-1+exp2) experimental; urgency=medium

  * Revert "autopkgtest: run ppc64_cpu --smt=off before test to avoid race
    condition"
  * autopkgtest: build with -Dplatform=generic to fix build failure in
    riscv64
  * Disable flaky tests on ppc64el

 -- Luca Boccassi <bluca@debian.org>  Thu, 17 Oct 2024 14:28:10 +0100

dpdk (23.11.2-1+exp1) experimental; urgency=medium

  * autopkgtest: run ppc64_cpu --smt=off before test to avoid race
    condition

 -- Luca Boccassi <bluca@debian.org>  Thu, 10 Oct 2024 15:04:09 +0100

dpdk (23.11.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/23.11.2'

 -- Luca Boccassi <bluca@debian.org>  Wed, 09 Oct 2024 18:57:38 +0100

dpdk (23.11.1-2) unstable; urgency=medium

  * d/control, d/t/control: depend on isa-support packages, so far on
    sse4.2-support on amd64. This shall help to avoid being
    installed on machines that will later crash with SIG_ILL.
    Instead isa-support provides means to detect that at install time
    and some wording about why it was blocked. For more details see
    /usr/share/doc/isa-support/README

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 04 Jul 2024 15:35:34 +0200

dpdk (23.11.1-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Drop riscv64 from libraries that are not built for it

  [ Christian Ehrhardt ]
  * d/rules: clean up stray build artifacts (Closes: #1045122)

  [ Luca Boccassi ]
  * Build depend on pkgconf instead of pkg-config
  * Drop unused Lintian override

  [ Christian Ehrhardt ]
  * d/rules, d/control, d/*.symbols: Add loong64 support (Closes:
    #1059972)

  [ Luca Boccassi ]
  * Enable ELF metadata stamping
  * d/rules: disable dh verbose flags
  * Bump Standards-Version to 4.7.0, no changes
  * Update upstream source from tag 'upstream/23.11.1'
  * Update symbols files for internal symbols removals

 -- Luca Boccassi <bluca@debian.org>  Fri, 17 May 2024 12:19:41 +0100

dpdk (23.11-1) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Dec 2023 11:55:09 +0100

dpdk (23.11-1~exp1) experimental; urgency=medium

  * New upstream release 23.11; for a full list of changes see:
    http://doc.dpdk.org/guides-23.11/rel_notes/release_23_11.html

  [ Christian Ehrhardt ]
  * New upstream release candidate 23.11-rc3
    - d/p/*: update to match 23.11
      - disable_ now list files instead of test names
      - testpmd-fix-early-exit-from-signal.patch was applied upstream
      - 0001-eal-linux-force-iova-mode-va-with-no-huge-option.patch is
        no more applicable and didn't went upstream
    - d/*.symbols: rename and update to match the ABI change to 24
    - d/control: Bump to 23.11 ABI 24
    - d/control: added/remove libraries for 23.11
    - d/dpdk-dev.install: sort and add new test binaries
    - d/dpdk-dev.lintian-overrides: more admin tools without manpages
    - d/dpdk-doc.lintian-overrides: flow_classify was dropped
    - d/copyright: kni dropped, update debian/* dates and updated
      based on SPDX tags
    - d/*.symbols: mark internal symbols as optional
    - d/p/fix-riscv-march.patch: fix riscv build
    - d/p/disable_autopkgtest_fails.patch: add back table test to fix linking
      issues
    - d/p/disable_*: drop as all formerly bad tests seem now to be ok
    - d/rules: enable LTO
    - d/p/Fix-ppc64-test-via-iova-setting.patch: replace former
      d/p/0001-eal-linux-force-iova-mode-va-without-pa-available.patch never
      accepted upstream with something only changing test behavior and not the
      general EAL operation of commandline options

  [ Luca Boccassi ]
  * d/watch: move to 23.11 LTS
  * Update upstream source from tag 'upstream/23.11-rc4'
  * Drop fix-riscv-march.patch, merged upstream
  * d/rules: do not run unit tests at build time
  * cdx, cpfl and mana PMDs are built for i386 too
  * Update Lintian override for examples mistaken as documentation
  * Add symbols files for new libraries
  * Set version of DPDK_24 to 23.11 in symbols files
  * enable all reproducible build flags
  * Drop i386 support

 -- Luca Boccassi <bluca@debian.org>  Wed, 29 Nov 2023 02:01:20 +0000

dpdk (22.11.3-2) unstable; urgency=medium

  * Team upload.

  [ Luca Boccassi ]
  * d/rules: bump test timeout multiplier from 6 to 10

  [ Frode Nordahl ]
  * d/p/testpmd-fix-early-exit-from-signal.patch: Cherry-pick fix for
    LP:#2040097.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Sun, 29 Oct 2023 12:28:18 +0100

dpdk (22.11.3-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/t/control: drop armhf

  [ Luca Boccassi ]
  * New upstream release 22.11.3; for a full list of changes see:
    http://doc.dpdk.org/guides-22.11/rel_notes/release_22_11.html
  * Refresh patches to remove fuzz from 22.11.3
  * Update symbols file for internal experimental symbol in librte-common-
    sfc-efx23

 -- Luca Boccassi <bluca@debian.org>  Thu, 21 Sep 2023 14:49:23 +0100

dpdk (22.11.2-3) unstable; urgency=medium

  * d/p/disable-parallel-sphinx.patch: fix reprotest for parallel
    sphinx
  * d/t/test-initscripts: adapt to dropped sysV to un-break autopkgtest

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 29 Jun 2023 16:38:58 +0200

dpdk (22.11.2-2) unstable; urgency=medium

  * No changes source-only upload.

 -- Luca Boccassi <bluca@debian.org>  Fri, 16 Jun 2023 11:09:08 +0100

dpdk (22.11.2-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/t/test-fastsuite: test env before breaking tests for known issues
  * d/rules: avoid path length issues in build time test
  * d/control, d/dpdk.init: stop using lsb-base functions

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/22.11.2'
  * Add package for new librte-net-mana PMD
  * Bump Standards-Version to 4.6.2, no changes
  * Add new internal/experimental symbols
  * Drop old init script

 -- Luca Boccassi <bluca@debian.org>  Thu, 15 Jun 2023 17:32:13 +0100

dpdk (22.11.1-2) unstable; urgency=medium

  * d/watch: restrict to 22.11 LTS
  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Sat, 17 Dec 2022 13:59:11 +0000

dpdk (22.11.1-1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/22.11.1'
  * Drop Revert-drivers-omit-symbol-map-when-unneeded.patch, fixed
    upstream
  * Adjust symbols versions for PMDs for 22.11.1

 -- Luca Boccassi <bluca@debian.org>  Wed, 14 Dec 2022 09:50:03 +0000

dpdk (22.11-1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/22.11'
  * Drop docs-sort-files-lists-in-generator-scripts.patch, merged upstream
  * Install new dpdk-test-security-perf in dpdk-dev
  * Remove ~rc2-1 from d/*.symbols
  * Revert change to make all PMD functions public APIs
  * Drop obsolete NEWS file

 -- Luca Boccassi <bluca@debian.org>  Mon, 28 Nov 2022 14:55:02 +0000

dpdk (22.11~rc2-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * Update upstream source from tag 'upstream/22.11_rc2'
    this includes various fixes like (closes: #1023000):
    - vhost: fix header spanned across more than two descriptors
      (CVE-2022-2132)
    - vhost: discard too small descriptor chains
      (CVE-2022-2132)
    - net/mlx5: fix Rx queue recovery mechanism
      (CVE-2022-28199)
  * d/control: Bump to 22.11 ABI 23
  * d/p/disable_*_autopkgtest_fails.patch: update to match dpdk 22.11
  * d/control: new libs in 22.11-rc2
    - libs renamed baseband-acc100 -> baseband-acc
    - new libs: common-idpf, dma-dpaa2, net-gve, net-idpf, net-octeon-ep,
      raw-cnxk-gpio, regex-cn9k
    - removed libs: octeontx2-*, flow-classify, kni, librte-net-octeontx-ep23,
      raw-dpaa2-qdma23
  * d/*.symbols: update for 22.11
    - bump for ABI 23
    - register DPDK_23 in libs that were already stable before
    - rename to match the ABI change
    - add new libs in 22.11-rc2
    - remove older non symbol specific Missing statements
    - drop/update old ABI 22 references
    - d/*.symbols: drop removed libs
    - d/*.symbols: update changing symbols
  * avoid flaky test fails (closes: #1021231)
    - d/t/test-fastsuite: bump timeout 3->12
    - d/rules: bump timeout 3->6 (build had less issues and
      does more other things that consume time)
  * d/t/control: add jq to enable further tests
  * d/control: add libxdp-dev to libdpdk-dev as well to avoid pkconfig errors

  [ Luca Boccassi ]
  * Add build-dep on libxdp-dev (closes: #1023569)
  * Backport patch to fix documentation reproducibility
  * Bump debhelper-compat to 13

 -- Luca Boccassi <bluca@debian.org>  Mon, 14 Nov 2022 15:31:51 +0000

dpdk (21.11-5) unstable; urgency=medium

  * librte-meta-common: remove armhf build

 -- Luca Boccassi <bluca@debian.org>  Fri, 26 Aug 2022 10:58:41 +0100

dpdk (21.11-4) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Thu, 25 Aug 2022 10:57:13 +0100

dpdk (21.11-4~exp1) experimental; urgency=medium

  * Revert "Revert "d/control, d/rules: add librte-meta-common package""

 -- Luca Boccassi <bluca@debian.org>  Fri, 19 Aug 2022 22:07:18 +0100

dpdk (21.11-3) unstable; urgency=medium

  * Revert "d/control, d/rules: add librte-meta-common package"
    It will reinstated later, but need to do the 21.11 transition
    without hitting the NEW queue for now.

 -- Luca Boccassi <bluca@debian.org>  Fri, 19 Aug 2022 22:05:15 +0100

dpdk (21.11-2) unstable; urgency=medium

  * Merge remote-tracking branch 'experimental' into unstable
  * Update Lintian overrides syntax
  * Bump Standards-Version to 4.6.1, no changes
  * Bump copyright year ranges in d/copyright
  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Fri, 19 Aug 2022 15:54:21 +0100

dpdk (21.11-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * Update upstream source from tag 'upstream/21.11_rc1'
  * Update upstream source from tag 'upstream/21.11_rc2'
  * d/p/disable_ppc64_autopkgtest_fails.patch: update for 21.11
  * d/p/disable_ppc64_autopkgtest_fails.patch: add rib and rib6 to known
    flaky tests on ppc64
  * d/dpdk-dev.install: removed non-existing autotest wrappers
  * d/control: bump ABI to 22
  * d/*.symbols: bump for ABI 22
  * d/*.symbols: register DPDK_22 in libs that were already stable before
  * d/*.symbols: rename to match the ABI change
  * d/*.symbols: files for new libs and pmds
  * d/update-helper-control.py: adapt for single digit ABI version
  * d/update-helper-control.py: fix escaping for re
  * d/rules: drop per_library_versions removed since 19.11 (Closes:
    #998532)
  * d/dpdk-dev.install: new binary dpdk-dumpcap
  * d/control: new libs and pmds in 21.11 (baseband-la12xx22, crypto-
    ipsec-mb22, dma-idxd22, dma-ioat22, dma-skeleton22, dmadev22, net-
    pcapng22)
  * d/control, d:rules: add meta package for new dmadevs
  * d/control: pcapng does not have the usual -net prefix
  * d/*.symbols: drop no more existing .21 ABI references
  * d/control: remove librte-raw-ioat22
  * d/control: remove raw/octeontx2_ep and raw/octeontx2_dma
  * Drop crypto libs now part of ipsec_mb framework
  * d/control: disable pkgs not built on ppc64 (crypto-ipsec-mb, dma-idxd,
    dma-ioat, net-hns3, event/dlb2)
  * d/control: disable pkgs not built on arm (event-dlb2, dma-idxd, dma-
    ioat, crypto-ipsec-mb2)
  * d/control: drop armhf builds
  * d/rules: -Dmachine is deprecated use -Dplatform instead
  * d/p/disable_autopkgtest_buildtime_fails.patch: avoid FTBFS by build
    env test incompatibility
  * d/rules: track build architecture
  * d/rules: check for expected target CPUs
  * d/rules: compat for rte_machine
  * d/p/disable_*: update test patches to 21.11-rc2
  * d/rules: fixup the CPU type check
  * d/control: fix doc link of librte-vdpa-ifc22
  * d/dpdk-dev.install: add dpdk-test-gpudev
  * d/control: new libs in 22.11-rc2 (dma_hisilicon, vdpa_sfc, dma_cnxk,
    gpudev)
  * d/*.symbols: new libs in 22.11-rc2 (dma_hisilicon, vdpa_sfc, dma_cnxk,
    gpudev)
  * d/*.symbols: new symbols with 21.11-rc2
  * d/p/test-fastsuite: skip if failing at build stage
  * d/rules: ease debugging of meson build info
  * d/rules: remove sphinx object.inv (breaks reproducible builds)
  * d/rules: meson build dir needs DEB_HOST_GNU_TYPE

  [ Luca Boccassi ]
  * d/*.symbols: add/remove new/old symbols
  * lintian: ignore very-long-line-length-in-source-file
  * d/copyright: bump year range for debian/* stanza
  * lintian: drop unused override
  * Bump Standards-Version to 4.6.0, no changes
  * librte-baseband-la12xx22: fix short description
  * d/rules: generate lintian override for ldconfig-escape for PMDs
  * libdpdk-dev: ignore ldconfig-escape lintian warning
  * Add symbols file for librte-pcapng22
  * d/rules: fix path to remove objects.inv
  * Update upstream source from tag 'upstream/21.11_rc3'
  * Refresh patches to remove fuzz from 21.11~rc3
  * Add packages for new PMDs: librte-dma-dpaa22, librte-net-enetfec22
  * Drop i386 from libraries that never supported it
  * Update symbols files for 21.11~rc3
  * Update upstream source from tag 'upstream/21.11_rc4'
  * Update upstream source from tag 'upstream/21.11'
  * d/*.symbols: remove ~rc1 suffix

 -- Luca Boccassi <bluca@debian.org>  Mon, 29 Nov 2021 12:47:03 +0000

dpdk (21.08-2) experimental; urgency=medium

  * librte-compress-mlx5-21 builds for arm64 and ppc64el too

 -- Luca Boccassi <bluca@debian.org>  Tue, 24 Aug 2021 12:21:56 +0100

dpdk (21.08-1) experimental; urgency=medium

  [ Luca Boccassi ]
  * autopkgtest: restrict to amd64 arm64 armhf i386 ppc64el

  [ Christian Ehrhardt ]
  * d/p/disable_autopkgtest_fails.patch: disable failures that do not
    represent regressions
  * d/t/control: restrict more tests to avoid badpkg failures on e.g.
    s390x
  * d/p/disable_armhf_autopkgtest_fails.patch: disable arm failures that
    do not represent regressions
  * d/p/disable_ppc64_autopkgtest_fails.patch: skip known false-positives
    (LP: #1939861)

  [ Luca Boccassi ]
  * New upstream release candidate 21.08
    For details see https://doc.dpdk.org/guides/rel_notes/release_21_08.html
  * Drop and refresh patches for 21.08
  * Add python3-pyelftools build dependency
  * Add new packages for new libraries librte-bus-auxiliary, librte-
    compress-mlx5-21, librte-crypto-mlx5-21, librte-net-ionic21, librte-
    net-ngbe21, librte-common-cnxk21, librte-crypto-cnxk21, librte-event-
    cnxk21, librte-mempool-cnxk21, librte-net-cnxk21, librte-net-octeontx-ep21,
    librte-raw-cnxk-bphy21
  * Update symbols files for 21.08
  * Update d/copyright for new paths
  * Add new false positives to dpdk-doc.lintian-overrides
  * Drop librte-event-dlb21, removed upstream

 -- Luca Boccassi <bluca@debian.org>  Fri, 13 Aug 2021 17:24:46 +0100

dpdk (20.11.5-1) unstable; urgency=medium

  * New upstream release 20.11.5; for a full list of changes see:
    http://doc.dpdk.org/guides-20.11/rel_notes/release_20_11.html
  * Drop config-ppc-fix-build-with-GCC-10.patch, merged upstream
  * librte-ethdev21.symbols: add new internal symbol

 -- Luca Boccassi <bluca@debian.org>  Mon, 04 Apr 2022 13:12:36 +0100

dpdk (20.11.4-2) unstable; urgency=medium

  * Backport patch to fix ppc64el FTBFS

 -- Luca Boccassi <bluca@debian.org>  Thu, 20 Jan 2022 10:58:13 +0000

dpdk (20.11.4-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/20.11.4'
  * New upstream release 20.11.4; for a full list of changes see:
    http://doc.dpdk.org/guides-20.11/rel_notes/release_20_11.html
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Mon, 17 Jan 2022 11:48:03 +0000

dpdk (20.11.3-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/rules: drop per_library_versions removed since 19.11 (Closes:
    #998532)

 -- Luca Boccassi <bluca@debian.org>  Mon, 22 Nov 2021 20:18:15 +0000

dpdk (20.11.3-1) unstable; urgency=medium

  [ Henning Schild ]
  * d/rules: honor "nocheck" in test override

  [ Christian Ehrhardt ]
  * Merge upstream stable release 20.11.3
  * drop d/p/0001-rib-fix-insertion-in-some-cases.patch [applied upstream]
  * drop d/p/test-catch-coredumps.patch [applied upstream]
  * d/p/disable_autopkgtest_fails.patch: disable failures that do not
    represent regressions
  * d/p/disable_armhf_autopkgtest_fails.patch: disable arm failures that
    do not represent regressions
  * d/p/disable_ppc64_autopkgtest_fails.patch: skip known false-positives
    (LP: #1939861)

  [ Luca Boccassi ]
  * Fix d/watch file syntax

 -- Luca Boccassi <bluca@debian.org>  Thu, 16 Sep 2021 15:50:11 +0100

dpdk (20.11-7) unstable; urgency=medium

  * Add disable_ring_autotest_armhf.patch

 -- Luca Boccassi <bluca@debian.org>  Thu, 22 Apr 2021 20:22:47 +0100

dpdk (20.11-6) unstable; urgency=medium

  * Autopkgtest: simplify dependencies
  * Autopkgtest: remove architecture check script
  * Autopkgtest: enable root-less fast test suite
  * Add patch to fix running build tests on ppc64el
  * Add disable_lcores_autotest_ppc.patch to fix ppc64el autopkgtest

 -- Luca Boccassi <bluca@debian.org>  Wed, 21 Apr 2021 11:12:04 +0100

dpdk (20.11-5) unstable; urgency=medium

  * Do not build-test on arm64 (HW dependent)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 30 Mar 2021 08:29:08 +0200

dpdk (20.11-4) unstable; urgency=medium

  * d/rules: do not run tests when building documentation
  * d/rules: set XDG_RUNTIME_DIR when running tests

 -- Luca Boccassi <bluca@debian.org>  Thu, 18 Mar 2021 14:28:19 +0000

dpdk (20.11-3) unstable; urgency=medium

  [ Henning Schild ]
  * runtime: add switch to prevent freeing of already allocated hugepages
  * runtime: add numa support to hugepage allocation script

  [ Luca Boccassi ]
  * Backport 0001-rib-fix-insertion-in-some-cases.patch to fix tests on
    i386
  * Enable dh_auto_test for fast-suite
  * Backport test-catch-coredumps.patch to fix build during repro test

  [ Nicholas Brown ]
  * d/rules update dpdk_config_options for make 4.3 (Closes: #983574)

 -- Luca Boccassi <bluca@debian.org>  Wed, 17 Mar 2021 12:52:21 +0000

dpdk (20.11-2) unstable; urgency=high

  [ Christian Ehrhardt ]
  * dpdk.service: start earlier and avoid dependency loop (Closes: #979489)

  [ Luca Boccassi ]
  * Upload to unstable. (Closes: #974667)

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Jan 2021 13:49:27 +0000

dpdk (20.11-1) experimental; urgency=medium

  * dpdk: suggest dpdk-kmods-dkms
  * dpdk: drop Suggests: linux-image-generic, not needed
  * New upstream release 20.11; for a full list of changes see:
    http://doc.dpdk.org/guides-20.11/rel_notes/release_20_11.html
  * dpdk: install new dpdk-hugepages.py script
  * dpdk-dev: override lintian warnings about new scripts
  * d/watch: bump to version 4, no changes
  * d/copyright: update new path to rte_kni_common.h
  * Bump Standards-Version to 4.5.1, no changes
  * Add symbols files for librte-graph, librte-node, librte-regexdev

 -- Luca Boccassi <bluca@debian.org>  Tue, 01 Dec 2020 12:35:48 +0000

dpdk (20.11~rc3-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * New upstream release candidate 20.11~rc1
    For details see https://doc.dpdk.org/guides/rel_notes/release_20_11.html
  * d/update-helper-control.py: bump to new deb822 name
  * d/p/*: drop python3 test fixes [applied upstream]
  * d/control, d/rules: igb-uio module no more provided by dkms source
  * d/*.symbols: update to new names and added packages
    - bump symbols to new 21 abiver
    - d/*.symbols: add new libs for baseband-acc100 common-sfc-efx
      crypto-bcmfs regex-octeontx2
    - d/*.symbols: add stubs for packages that missed .symbols files
    - d/*.symbols: rename to new package naming scheme
    - d/*.symbols: adapt to new ABI throwing away pre @21 mappings
    - d/librte-port21.symbols: mark non i386 symbols as arch specific
  * d/control: bump package names to new 21.0 abiver
  * d/dpdk-doc.install: new path for api doc
  * d/dpdk-doc.doc-base.*: adapt base paths of html docs
  * d/control: new PMDs and PMD name restructuring
  * d/rules, d/control: adapt generated suggest to new naming scheme
    providing per type meta packages
    - librte-meta-all: dependencies to all librte libs of DPDK
    - librte-meta-<category>: dependencies to all librte libs of a certain
      DPDK lib category
  * d/rules: adapt to SONAME being only the MAJOR of the full ABI_VERSION
  * d/rules, d/control: bump debhelper compat to 12
    - d/rules: change dh_systemd_start to dh_installsystemd for compat >=11
  * d/control, d/*.symbols: restrict symbols/packages not build on arm64, armhf,
    ppc64el and i386
  * d/t/test-linkage: adapt test to new lib naming scheme
  * d/librte-meta-{all,allpmds}.lintian-overrides: accept long package lists
  * d/rules: remove build artifacts breaking reproducible build
  * d/rules: sort package parsing for reproducible build
  * d/control: fix typo pull/poll mode driver
  * New upstream release candidate 20.11~rc3
    - d/*.symbols: symbol changes in 20.11~rc1
    - d/control: add more per lib/driver homepage links
    - d/control, d/*.symbols: add new drivers in 20.11~rc3 dlb, dlb2, txgbe
    - d/control, d/librte-regex-octeontx2*: regex-octeontx2 dropped the
      superfluous regex suffix
    - d/t/control: remove test-dkms since we do not have dkms packages anymore
    - d/control: sfc PMD is >20.11-rc3 enabled for arm64

  [ Luca Boccassi ]
  * d/control: remove duplicated Section: libs
  * d/rules: use DEB_VERSION instead of manual parsing
  * dpdk-doc: override more false-positives about examples mistaken as
    docs
  * dpdk-doc: override warning about repeated path segment
  * d/copyright: some source files were removed, update it

 -- Luca Boccassi <bluca@debian.org>  Wed, 11 Nov 2020 11:54:30 +0000

dpdk (20.08-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * d/t/test-autotest: bump sse feature check

  [ Luca Boccassi ]
  * Remove 19.11 restriction to watch file
  * Merge tag 'upstream/20.08' into experimental
  * Truncate minor ABI revision from package names
  * Rename packages that were declared stable
  * Add packages for new libraries and PMDs
  * Add new executables to dpdk-dev package
  * Update symbols files
  * Adjust dpdk-doc install path for guides
  * Rename Lintian override no-manual-page
  * Adjust paths in d/copyright for new layout
  * Fix typo in d/control

 -- Luca Boccassi <bluca@debian.org>  Wed, 19 Aug 2020 10:12:27 +0100

dpdk (19.11.6-1) unstable; urgency=medium

  * New upstream version 19.11.6
    https://doc.dpdk.org/guides-19.11/rel_notes/release_19_11.html#release-notes

 -- Luca Boccassi <bluca@debian.org>  Fri, 18 Dec 2020 17:03:58 +0000

dpdk (19.11.5-1) unstable; urgency=medium

  * New upstream version 19.11.5
    - Remote Code Execution in vhost_crypto (VM Escape) (CVE-2020-14374)
    - Time-of-check time-of-use vulnerabilities throughout (CVE-2020-14375)
    - Buffer overflow copying iv_data from guest to host (CVE-2020-14376)
    - write_back_data buffer over read (CVE-2020-14377)
    - Partial Denial of Service due to Integer Underflow (CVE-2020-14378)

 -- Luca Boccassi <bluca@debian.org>  Mon, 28 Sep 2020 15:10:04 +0100

dpdk (19.11.4-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/t/test-autotest: bump sse feature check
  * fix libfdt path in pkg-config (Closes: #966921)
  * d/librte-rawdev20.0.symbols: add new symbol rte_rawdev_dump
  * d/rules: lintian debian-rules-uses-unnecessary-dh-argument for systemd
  * d/copyright: fix duplicate-globbing-patterns

  [ Luca Boccassi ]
  * New upstream version 19.11.4~rc1
  * Adjust dpdk-doc install path for guides
  * New upstream version 19.11.4
  * Drop fix-libfdt-path.patch, merged upstream
  * Rename Lintian override no-manual-page

 -- Luca Boccassi <bluca@debian.org>  Tue, 08 Sep 2020 09:57:19 +0100

dpdk (19.11.3-1) unstable; urgency=medium

  * New upstream release 19.11.3; for a full list of changes see:
    https://doc.dpdk.org/guides-19.11/rel_notes/release_19_11.html#release-notes
    (Closes: #957146)
  * Depend on pci.ids | hwdata instead of hwdata (Closes: #953298)

 -- Luca Boccassi <bluca@debian.org>  Fri, 19 Jun 2020 16:56:03 +0100

dpdk (19.11.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate 19.11.3~rc1

 -- Luca Boccassi <bluca@debian.org>  Thu, 04 Jun 2020 15:02:45 +0100

dpdk (19.11.2-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/p/fix-autopkgtest-py3.patch: fix autotest runner for python3
  * d/t/*: use skippable test restriction and exit codes to skip tests
  * d/t/test-autotest: the python tool needs RTE_TARGET set in arg #3
  * d/p/fix-autopkgtest-py3.patch: update upstreaming info
  * d/p/autotest-fix-pexpect-in-python3.patch: fix autotest
  * d/t/test-autotest: adapt limits to autopkgtest environment
  * d/t/test-autotest: update blacklist

  [ Luca Boccassi ]
  * New upstream version 19.11.2
    - A malicious guess/container can cause resource leak resulting a
      Denial-of-Service, or memory corruption and crash, or information leak
      in vhost-user backend application.
      (CVE-2020-10722, CVE-2020-10723, CVE-2020-10724, CVE-2020-10725,
      CVE-2020-10726) (Closes: #960936)

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 May 2020 15:07:31 +0100

dpdk (19.11.1-2) unstable; urgency=medium

  * Fix regex in d/watch for 19.11 point releases
  * librte-pmd-ipn3ke20.0: enable for i386

 -- Luca Boccassi <bluca@debian.org>  Mon, 06 Apr 2020 11:10:04 +0100

dpdk (19.11.1-1) unstable; urgency=medium

  * Update to 19.11.1 stable release (LP: #1869147)
    https://doc.dpdk.org/guides-19.11/rel_notes/release_19_11.html#release-notes
  * add new packages which didn't build
    - librte_pmd_ipn3ke
    - librte_rawdev_ifpga which
  * d/librte-cfgfile20.0.symbols: add new symbol

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 26 Mar 2020 14:02:53 +0100

dpdk (19.11-4) unstable; urgency=medium

  * Refresh debian/copyright
  * Add missing librte-gro symbols file
  * Update watch file to look for 19.11 series, use https
  * Fix Lintian Warning: duplicate-short-description
  * Do not ship fonts in dpdk-doc
  * Bump Standards-Version to 4.5.0, no changes.
  * Ignore LW about README outside of doc dir
  * dpdk-doc: add doc-base control files
  * Add link to DPDK guides via Documentation in dpdk.service
  * Override dpdk source: package-does-not-install-examples false positive
  * Use chrpath to strip RPATH from dpdk-test binary
  * Add missing symbols files
  * Override default Lintian CI job to ignore symbols-file-missing-build-
    depends-package-field

 -- Luca Boccassi <bluca@debian.org>  Sun, 22 Mar 2020 12:08:42 +0000

dpdk (19.11-3) experimental; urgency=medium

  * d/p/test: transition to python3

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 28 Jan 2020 13:34:07 +0200

dpdk (19.11-2) experimental; urgency=medium

  * dh-missing: ignore examples directory, as they are already installed
    manually. (Closes: #947371)

 -- Luca Boccassi <bluca@debian.org>  Thu, 26 Dec 2019 15:30:15 +0100

dpdk (19.11-1) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * New upstream release 19.11; for a full list of changes see:
    http://doc.dpdk.org/guides-19.08/rel_notes/release_19_08.html
    - Includes d/p/avoid-as-needed-as-it-causes-overlinking.patch: fix
      overlinking in software using the dpdk pkg-config (LP: #1841759)
    - d/control: bump versions to 19.11
    - d/*.symbols: bump for 19.11
    - rte-kni module support dropped upstream, remove former package
      dpdk-rte-kni-dkms (LP: #1853195)
    - d/p/fix-ppc64-mlx4-build.patch: drop patch now being upstream
    - new Major ABI is set to 20.0 by upstream
    - d/dpdk.lintian-overrides: it is ok that example shell scripts are
      not executable
    - d/control, d/*.symbols: new PMDs for qede pfe nitrox hns3 and
      octeontx2-crypto
    - d/control, d/*.symbols: new rte libraries rib and fib
    - d/dpdk-dev.install: add new dpdk-test-sad
    - d/rules: global ABI_VERSION now tracked in a file by upstream
    - d/control: add new build-dependencies libisal-dev, libfdt-dev
      and libbpf-dev
    - d/control: drop no more built librte-pmd-ipn3ke20.0
    - d/control: add new PMDs of 19.11 af-xdp and isal
    - d/rules: add ability to handle fully experimental libs to be soname zero
    - d/control: experimental only libs now are on an soname 0.200 (bbdev, bpf,
      compressdev, fib, flow-classify, ipsec, rcu, rib, stack, telemetry)
    - d/control: let libdpdk-dev depend on the new build dependencies
  * fixup package reference in debian/librte-common-octeontx2-19.11.symbols
  * drop duplicate debian/update-control.py helper

 -- Luca Boccassi <bluca@debian.org>  Wed, 04 Dec 2019 14:29:26 +0000

dpdk (19.08-1~git1) UNRELEASED; urgency=medium

  [ Christian Ehrhardt ]
  * New upstream release 19.08; for a full list of changes see:
    http://doc.dpdk.org/guides-19.08/rel_notes/release_19_08.html
    - d/*.symbols: flat update for 19.08
    - d/control: update to new major version number
    - d/dpdk-dev.install: update new paths to dpdk-test
    - d/control, d/librte-pmd-qede18.11.symbols: drop pmd-qede no more built
      by default
    - d/control, d/*.symbols: new PMDs librte-pmd-octeontx2
      librte-pmd-bbdev-fpga-lte-fec librte-pmd-bbdev-turbo-sw librte-pmd-hinic
      librte-pmd-ice librte-pmd-ipn3ke librte-pmd-memif
      librte-pmd-octeontx2-event
    - d/control, d/*.symbols: renamed PMDs
      - librte-pmd-skeleton-rawdev -> librte-rawdev-skeleton
      - librte-pmd-dpaa2-cmdif -> librte-rawdev-dpaa2-cmdif
      - librte-pmd-dpaa2-qdma -> librte-rawdev-dpaa2-qdma
      - librte-pmd-avf -> librte-pmd-iavf
      - librte-pmd-ifpga-rawdev (somewhat indirectly replaced by
        librte-pmd-ipn3ke)
    - d/control: add new Homepage references
    - d/control, d/*.symbols: new rawdev drivers librte-rawdev-ioat,
      librte-rawdev-ntb and  librte-rawdev-octeontx2-dma
    - d/control, d/*.symbols: add new libraries librte-common-octeontx2,
      librte-ipsec, librte-mempool-octeontx2, librte-rcu and librte-stack
    - d/dpdk-dev.install: new test binaries" debian/dpdk-dev.install
    - d/dpdk-doc.install: add new examples path" debian/dpdk-doc.install
    - d/*.symbols: add new and updated symbols
    - d/p/fix-ppc64-mlx4-build.patch: fix FTBFS on ppc64el
  * Drop patches now upstream
    - 0004-build-bump-minimum-Meson-version-to-0.47.1.patch
    - 0005-build-use-dependency-instead-of-find_library.patch
    - 0006-build-reorder-libraries-and-build-eal-before-cmdline.patch
    - 0007-build-use-dependency-for-libbsd-instead-of-manual-ap.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 12 Aug 2019 13:23:49 +0200

dpdk (18.11.6-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * New upstream version 18.11.6; For a list of changes see
    http://doc.dpdk.org/guides-18.11/rel_notes/release_18_11.html
  * Drop avoid-as-needed-as-it-causes-overlinking.patch, merged upstream.
  * Refresh remaining patches to remove fuzz from 18.11.6.
  * Add patch to avoid changing stable symbol version, breaking ABI.
  * Update librte-eal18.11.symbols with new experimental symbol from
    18.11.6

  [ Christian Ehrhardt ]
  * d/*.lintian-overrides: add overrides for a few known but accepted
    deficiencies

  [ Luca Boccassi ]
  * Use chrpath to strip RPATH from dpdk-test binary
  * Add missing librte-gro symbols file

 -- Luca Boccassi <bluca@debian.org>  Sat, 29 Feb 2020 11:58:26 +0000

dpdk (18.11.5-1) unstable; urgency=medium

  * New upstream version 18.11.5; For a list of changes see
    http://doc.dpdk.org/guides-18.11/rel_notes/release_18_11.html
  * Refresh 0004-build-bump-minimum-Meson-version-to-0.47.1.patch to
    remove fuzz from 18.11.5

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 Nov 2019 16:09:39 +0000

dpdk (18.11.4-1) unstable; urgency=high

  * Merge stable update to 18.11.4; For a list of changes see
    http://doc.dpdk.org/guides-18.11/rel_notes/release_18_11.html
  * Fixes CVE-2019-14818
  * Refresh 0004-build-bump-minimum-Meson-version-to-0.47.1.patch to
    remove fuzz from 18.11.4

 -- Luca Boccassi <bluca@debian.org>  Tue, 12 Nov 2019 14:14:06 +0000

dpdk (18.11.3-1) unstable; urgency=medium

  * Merge stable update to 18.11.3; For a list of changes see
    http://doc.dpdk.org/guides-18.11/rel_notes/release_18_11.html#id2
    - refresh d/p/0004-build-bump-minimum-Meson-version-to-0.47.1.patch
    - refresh d/p/avoid-as-needed-as-it-causes-overlinking.patch
    - d/dpdk-dev.install: dpdk-test is now properly in usr/bin
    - d/librte-security18.11.symbols: mark some symbols that now properly
      are experimental as such (none is gone)
    - among other things it fixes a dkms build issue with kernel 5.4
      (LP: #1848585)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 28 Oct 2019 10:59:53 +0100

dpdk (18.11.2-4) unstable; urgency=medium

  * d/p/avoid-as-needed-as-it-causes-overlinking.patch: fix overlinking in
    software using the dpdk pkg-config (LP: #1841759)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 04 Sep 2019 15:37:29 +0200

dpdk (18.11.2-3) unstable; urgency=medium

  * Note branch in Vcs-Git.
  * Bump Standards-Version to 4.4.0.
  * Fix distribution in dpdk-dev.NEWS.
    Fixes LW: debian-news-entry-has-strange-distribution

 -- Luca Boccassi <bluca@debian.org>  Mon, 02 Sep 2019 20:21:32 +0100

dpdk (18.11.2-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/control: set VCS to be Salsa based
  * d/README.source: add info about salsa git usage

 -- Luca Boccassi <bluca@debian.org>  Sat, 13 Jul 2019 13:19:37 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog dpdk`.
